## bootstrap-flask 2.1.0+ds

=== debian/changelog ===
bootstrap-flask (2.1.0+ds-1) experimental; urgency=medium

  * Initial release. (Closes: #817958)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 31 Jul 2022 23:47:38 -0300

## bootstrap-flask 2.4.1+ds

=== examples/requirements.txt ===
flask
bootstrap-flask
flask-sqlalchemy
flask-wtf

## bootstrap-flask 2.2.0+ds1

=== debian/changelog ===
bootstrap-flask (2.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 2.2.0+ds1

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 02 Dec 2022 07:07:28 -0300

bootstrap-flask (2.2.0+ds-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 2.2.0+ds

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 26 Nov 2022 07:28:13 -0300

=== debian/control ===
Source: bootstrap-flask
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libjs-sphinxdoc,
               python3-all,
               python3-flask,
               python3-flask-sqlalchemy,
               python3-flaskext.wtf,
               python3-jinja2,
               python3-pallets-sphinx-themes,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-wtforms
Standards-Version: 4.6.1
Homepage: https://github.com/helloflask/bootstrap-flask
Vcs-Git: https://salsa.debian.org/python-team/packages/bootstrap-flask.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/bootstrap-flask

Package: python3-flask-bootstrap
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-flask-bootstrap-doc
Description: Bootstrap 4 & 5 helper for your Flask projects
 renders Flask-related data and objects to Bootstrap markup HTML more
 easily:
   * Render the Flask-WTF/WTForms form object to the Bootstrap form.
   * Render data objects (dict or class objects) to Bootstrap Table.
   * Render Flask-SQLAlchemy Paginationobject for Bootstrap pagination.
 .
 This package installs the library for Python 3.

Package: python-flask-bootstrap-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Implementation collection of Jinja macros(common documentation)
 Allows rendering to Bootstrap form objects and Bootstrap Table and Bootstrap
 pagination.
 .
 This package installs the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=flask-bootstrap
%:
	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild

export PYBUILD_TEST_ARGS=--ignore=tests/test_bootstrap4/test_render_form.py \
	--ignore=tests/test_bootstrap5/test_render_form.py \
	--ignore=tests/test_bootstrap4/test_bootstrap.py \
	--ignore=tests/test_bootstrap5/test_bootstrap5.py
#override_dh_auto_test:
# Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs/ debian/html
# Fixe privacy-breach-generic
override_dh_link:
	dh_link
	find debian/python3-flask-bootstrap/ -name '*.css' -exec sed -i 's|@import url("https://fonts.googleapis.com||g' {} \;
	find debian/python-flask-bootstrap-doc/ -name '*.html' -exec sed -i 's|src="https:||g' {} \;

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds \
https://github.com/helloflask/bootstrap-flask/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## bootstrap-flask 2.3.0+ds

=== debian/changelog ===
bootstrap-flask (2.3.0+ds-1) unstable; urgency=medium

  [ Josenilson Ferreira da Silva ]
  * New upstream version 2.3.0+ds
  * debian/control: Bumped Standards-Version 4.6.2

  [ Andrius Merkys ]
  * Use dversionmangle=auto in debian/watch.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 26 Jul 2023 01:13:24 -0300

## bootstrap-flask 2.3.3+ds

=== debian/changelog ===
bootstrap-flask (2.3.3+ds-1) unstable; urgency=medium

  * New upstream version 2.3.3+ds

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 08 Dec 2023 07:41:07 -0300

bootstrap-flask (2.3.2+ds-1) unstable; urgency=medium

  * New upstream version 2.3.2+ds

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 14 Oct 2023 23:12:37 -0300

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-wtforms
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/helloflask/bootstrap-flask
 Vcs-Git: https://salsa.debian.org/python-team/packages/bootstrap-flask.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bootstrap-flask

## bootstrap-flask 2.4.0+ds

=== debian/changelog ===
bootstrap-flask (2.4.0+ds-1) unstable; urgency=medium

  * New upstream version 2.4.0+ds
  * debian/control: Added Builds:depends pybuild-plugin-pyproject

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 24 Apr 2024 21:16:30 -0300

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libjs-sphinxdoc,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-flask,
                python3-flask-sqlalchemy,

## bootstrap-flask 2.4.1+ds

=== debian/changelog ===
bootstrap-flask (2.4.1+ds-1) unstable; urgency=medium

  * New upstream version 2.4.1+ds

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 15 Oct 2024 21:31:38 -0300

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-wtforms
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/helloflask/bootstrap-flask
 Vcs-Git: https://salsa.debian.org/python-team/packages/bootstrap-flask.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bootstrap-flask

## bootstrap-flask 2.4.2+ds

=== debian/changelog ===
bootstrap-flask (2.4.2+ds-1) unstable; urgency=medium

  * New upstream version 2.4.2+ds
  * debian/control:
     - Added Depends fonts-font-awesome
     - Bumped Standards-Version to 4.7.2
  * debian/rules: Move and create symbolic links for woff and woff2 files

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 05 Apr 2025 15:58:06 -0300

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-wtforms
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/helloflask/bootstrap-flask
 Vcs-Git: https://salsa.debian.org/python-team/packages/bootstrap-flask.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bootstrap-flask
@@ -27,7 +27,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         fonts-font-awesome
 Suggests: python-flask-bootstrap-doc
 Description: Bootstrap 4 & 5 helper for your Flask projects
  renders Flask-related data and objects to Bootstrap markup HTML more

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,20 @@
 	--ignore=tests/test_bootstrap5/test_render_form.py \
 	--ignore=tests/test_bootstrap4/test_bootstrap.py \
 	--ignore=tests/test_bootstrap5/test_bootstrap5.py
-#override_dh_auto_test:
+
 # Build sphinx HTML documentation
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs/ debian/html
+
+# Fixed font-in-non-font-package / font-outside-font-dir
+override_dh_python3:
+	dh_python3
+	find debian/python3-flask-bootstrap/ -name 'bootstrap-icons.woff' \
+		-exec ln -sfv /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.woff {} \;
+	find debian/python3-flask-bootstrap/ -name 'bootstrap-icons.woff2' \
+		-exec ln -sfv /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.woff2 {} \;
+
 # Fixe privacy-breach-generic
 override_dh_link:
 	dh_link

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+ds \
 https://github.com/helloflask/bootstrap-flask/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
